[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.MenuIndex

Ordinal position for the menu item in its Parent.

## Declaration

Source position: menus.pp line 313

`public property TMenuItem.MenuIndex : Integer read GetMenuIndex write SetMenuIndex;`

## Description

MenuIndex is an Integer property with the ordinal position for the menu item in its Parent.

The property value is retrieved by calling the IndexOf method in Parent using the current class instance as an argument. The property value is -1 if Parent has not been assigned. Changing the value for the property causes the menu item to be relocated in Parent to the position indicated in the new property value.